package com.huimv.production.controller;


import com.huimv.production.domain.IndexProductionGroup2;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexParameterService;
import com.huimv.production.service.IndexProductionGroup2Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
@RequestMapping("/IndexProductionGroup2")
public class IndexProductionGroup2Controller {
	@Autowired
	private IndexProductionGroup2Service service;
	@RequestMapping("/add")
	public Result add(IndexProductionGroup2 entity){ return service.add(entity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(IndexProductionGroup2 entity){ return service.update(entity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }
	@Autowired
	private IndexParameterService parameterService;

	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		// 获取数据源类型
		Result parameterResult = parameterService.getDatasourceType();
		String datasourceType = parameterResult.getData().toString();
		System.out.println("datasourceType>>"+datasourceType);
		if(datasourceType.trim().equalsIgnoreCase("true")){
			// 从本地填报表获取数据
			return service.findAll(name, pageNum, pageSize);
		}else {
			// 从远程落地表获取数据
			return service.findAllFrom(name, pageNum, pageSize);
		}
	}

}
